<template>
	<view class='container'>
		<u-tabs :list="tabList" lineHeight="0" :current="currentTab" @click="onChangeTab" :scrollable="true"
			lineColor="#FFF" :inactiveStyle="{'font-size': '28rpx', 'color': '#878787'}"
			:activeStyle="{'font-size': '32rpx', 'color': '#FFFFFF'}"></u-tabs>
		<view class="list">
			<scroll-view scroll-y @scrolltolower="scrolltolower" style="height: 100%;">
				<view v-for="(item,index) in 10" :key="index">
					<view class="flex mlr-24 mb-30"  style="color: #878787;background: #171717;border-radius: 20rpx;">
						<image class="w-177 h-246" src="@/static/logo.png"></image>
						<view class="flex-column fs-28 mar-15" style="flex: 1;justify-content: space-around;">
							<text style="color: white;">【双十一单身派对】@DREAM单身畅饮</text>
							<text style="color:#878787;font-size: 24rpx;">2024/11/14 22:00</text>
							<text style="color:#F752C3;">DREAM LIVEHOUSE</text>
						</view>
					</view>
				</view>
			</scroll-view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				currentTab: 0,
				tabList: [{
						name: '全部',
					},
					{
						name: '已结束',
					},
					{
						name: '已取消',
					}
				],
			};
		},
		onLoad(options) {

		},
		computed: {


		},
		methods: {
			onChangeTab(e) {
				this.currentTab = e.index

			},
			onSubmit() {
				if (!this.userNickName) {
					return this.$u.toast('请填写昵称')
				}
				const params = {
					url: '/api/user/profile',
					loadingTip: '',
					data: {
						nickname: this.userNickName
					}
				}
				this.$request(params).then(res => {
					// console.log(res)
					this.$u.toast(res.msg || '修改成功')
					setTimeout(() => {
						this.$wskj.goBack(1)
					}, 600)
				}).catch(err => {
					// console.log(err)
					this.$u.toast(err.msg || '修改失败')
				})
			}
		},
	};
</script>

<style scoped>
	.container {
		height: 100%;
		height: 100%;
		background: #0F0F0F;
		display: flex;
		flex-direction: column;
	}

	.list {
		overflow: hidden;
		height: calc(100% - 60rpx);
	}

</style>